Package org.h2gis.functions.spatial.edit

## Class ST_ForcePolygonCW

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_ForcePolygonCW

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_ForcePolygonCW
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher, CNRS, 2023

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_ForcePolygonCW()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geom)` Forces (Multi)Polygons to use a clockwise orientation for their exterior ring, and a counter-clockwise orientation for their interior rings.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ForcePolygonCW

    public ST_ForcePolygonCW()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geom)
                                                      throws SQLException

Forces (Multi)Polygons to use a clockwise orientation for their exterior ring, and a counter-clockwise orientation for their interior rings. Non-polygonal geometries are returned unchanged.

Parameters:
  `geom` - `Geometry`
Returns:
  Geometry
Throws:
  `SQLException`